Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » UML2 Tools » Re: How do I model with UML 2 in eclipse?
Re: How do I model with UML 2 in eclipse? [message #472180] Fri, 04 January 2008 19:26 Go to next message
Ed Merks is currently offline Ed MerksFriend
Messages: 26278
Registered: July 2009
Senior Member
Warren,

The best I can do is direct you to the UML2 model and UML2 tools
newsgroups and suggest you look at the home pages for these two
components in the MDT project: http://www.eclipse.org/modeling/mdt/


Warren Tang wrote:
> Hi
>
> How do I model with UML 2 in eclipse?
> What do I need to install?
> What's the differences between UML 2 SDK and UML 2 Tools?
> Are there any tutorials or videos?
>
> I am a little confusing and need your help. Thanks!
>
Re: How do I model with UML 2 in eclipse? [message #472181 is a reply to message #472180] Sat, 05 January 2008 06:46 Go to previous messageGo to next message
Warren Tang is currently offline Warren TangFriend
Messages: 32
Registered: July 2009
Member
Hi, Ed

Thanks for your reply. I am new to eclipse and I have trouble installing
the UML2 Tools into the eclipse IDE which I have just downloaded.

I used the [Help -> Software Updates -> Find and Replace] menu, and then
selected the [New Features -> MDT Updates -> UML2 Tools]. However there
are several dependences that I don't know where to find them.

Is there a step-by-step tutorial for installing it? I really don't know
how these eclipse project are related to each other.

Could you guide me? Thanks.

Regards,
Warren

Ed Merks wrote:
> Warren,
>
> The best I can do is direct you to the UML2 model and UML2 tools
> newsgroups and suggest you look at the home pages for these two
> components in the MDT project: http://www.eclipse.org/modeling/mdt/
>
>
> Warren Tang wrote:
>> Hi
>>
>> How do I model with UML 2 in eclipse?
>> What do I need to install?
>> What's the differences between UML 2 SDK and UML 2 Tools?
>> Are there any tutorials or videos?
>>
>> I am a little confusing and need your help. Thanks!
>>
Re: How do I model with UML 2 in eclipse? [message #472182 is a reply to message #472181] Sat, 05 January 2008 09:02 Go to previous messageGo to next message
Lars Vogel is currently offline Lars VogelFriend
Messages: 1049
Registered: July 2009
Senior Member

Hi Warren,

please look at this:

http://www.vogella.de/articles/UML/article.html

Best regards, Lars

"Warren Tang" <warren.s.tang@gmail.com> wrote in message
news:477F27AF.4010401@gmail.com...
> Hi, Ed
>
> Thanks for your reply. I am new to eclipse and I have trouble installing
> the UML2 Tools into the eclipse IDE which I have just downloaded.
>
> I used the [Help -> Software Updates -> Find and Replace] menu, and then
> selected the [New Features -> MDT Updates -> UML2 Tools]. However there
> are several dependences that I don't know where to find them.
>
> Is there a step-by-step tutorial for installing it? I really don't know
> how these eclipse project are related to each other.
>
> Could you guide me? Thanks.
>
> Regards,
> Warren
>
> Ed Merks wrote:
>> Warren,
>>
>> The best I can do is direct you to the UML2 model and UML2 tools
>> newsgroups and suggest you look at the home pages for these two
>> components in the MDT project: http://www.eclipse.org/modeling/mdt/
>>
>>
>> Warren Tang wrote:
>>> Hi
>>>
>>> How do I model with UML 2 in eclipse?
>>> What do I need to install?
>>> What's the differences between UML 2 SDK and UML 2 Tools?
>>> Are there any tutorials or videos?
>>>
>>> I am a little confusing and need your help. Thanks!
>>>
Re: How do I model with UML 2 in eclipse? [message #472183 is a reply to message #472182] Sat, 05 January 2008 16:45 Go to previous messageGo to next message
Warren Tang is currently offline Warren TangFriend
Messages: 32
Registered: July 2009
Member
Thanks Ed and Lars

I decide to give up the attempt after several hours' struggle. I have
selected all those update candidates and click everyone of them and then
clicked "Check Required". I have also tried to download the files myself
and then unzipped them to the eclipse folder. However I was not lucky.
It's just too HARD to install it.

Life would be much easier if the tools could find its dependences and
download them automatically for me, or I could download something and
click it once then everything would be ready. For now I will just use
the built-in support for UML 1.X in the netBeans IDE.

Thanks again for your attention.

Regards,
Warren

Lars Vogel wrote:
> Hi Warren,
>
> please look at this:
>
> http://www.vogella.de/articles/UML/article.html
>
> Best regards, Lars
>
> "Warren Tang" <warren.s.tang@gmail.com> wrote in message
> news:477F27AF.4010401@gmail.com...
>> Hi, Ed
>>
>> Thanks for your reply. I am new to eclipse and I have trouble installing
>> the UML2 Tools into the eclipse IDE which I have just downloaded.
>>
>> I used the [Help -> Software Updates -> Find and Replace] menu, and then
>> selected the [New Features -> MDT Updates -> UML2 Tools]. However there
>> are several dependences that I don't know where to find them.
>>
>> Is there a step-by-step tutorial for installing it? I really don't know
>> how these eclipse project are related to each other.
>>
>> Could you guide me? Thanks.
>>
>> Regards,
>> Warren
>>
>> Ed Merks wrote:
>>> Warren,
>>>
>>> The best I can do is direct you to the UML2 model and UML2 tools
>>> newsgroups and suggest you look at the home pages for these two
>>> components in the MDT project: http://www.eclipse.org/modeling/mdt/
>>>
>>>
>>> Warren Tang wrote:
>>>> Hi
>>>>
>>>> How do I model with UML 2 in eclipse?
>>>> What do I need to install?
>>>> What's the differences between UML 2 SDK and UML 2 Tools?
>>>> Are there any tutorials or videos?
>>>>
>>>> I am a little confusing and need your help. Thanks!
>>>>
>
>
Re: How do I model with UML 2 in eclipse? [message #472184 is a reply to message #472183] Sat, 05 January 2008 18:34 Go to previous messageGo to next message
Eclipse UserFriend
Originally posted by: cdamus.ca.ibm.com

Hi, Warren,

Before you give up: you can find all of the UML2 component's dependencies
(using "Check Required") in the Ganymede coordinate release update site:

http://download.eclipse.org/releases/ganymede/staging/

This is one-stop shopping for everything you need.

HTH,

Christian


Warren Tang wrote:

> Thanks Ed and Lars
>
> I decide to give up the attempt after several hours' struggle. I have
> selected all those update candidates and click everyone of them and then
> clicked "Check Required". I have also tried to download the files myself
> and then unzipped them to the eclipse folder. However I was not lucky.
> It's just too HARD to install it.
>
> Life would be much easier if the tools could find its dependences and
> download them automatically for me, or I could download something and
> click it once then everything would be ready. For now I will just use
> the built-in support for UML 1.X in the netBeans IDE.
>
> Thanks again for your attention.
>
> Regards,
> Warren
>
> Lars Vogel wrote:
>> Hi Warren,
>>
>> please look at this:
>>
>> http://www.vogella.de/articles/UML/article.html
>>
>> Best regards, Lars
>>
>> "Warren Tang" <warren.s.tang@gmail.com> wrote in message
>> news:477F27AF.4010401@gmail.com...
>>> Hi, Ed
>>>
>>> Thanks for your reply. I am new to eclipse and I have trouble installing
>>> the UML2 Tools into the eclipse IDE which I have just downloaded.
>>>
>>> I used the [Help -> Software Updates -> Find and Replace] menu, and then
>>> selected the [New Features -> MDT Updates -> UML2 Tools]. However there
>>> are several dependences that I don't know where to find them.
>>>
>>> Is there a step-by-step tutorial for installing it? I really don't know
>>> how these eclipse project are related to each other.
>>>
>>> Could you guide me? Thanks.
>>>
>>> Regards,
>>> Warren
>>>
>>> Ed Merks wrote:
>>>> Warren,
>>>>
>>>> The best I can do is direct you to the UML2 model and UML2 tools
>>>> newsgroups and suggest you look at the home pages for these two
>>>> components in the MDT project: http://www.eclipse.org/modeling/mdt/
>>>>
>>>>
>>>> Warren Tang wrote:
>>>>> Hi
>>>>>
>>>>> How do I model with UML 2 in eclipse?
>>>>> What do I need to install?
>>>>> What's the differences between UML 2 SDK and UML 2 Tools?
>>>>> Are there any tutorials or videos?
>>>>>
>>>>> I am a little confusing and need your help. Thanks!
>>>>>
>>
>>
Re: How do I model with UML 2 in eclipse? [message #472231 is a reply to message #472184] Tue, 08 January 2008 16:57 Go to previous message
Eclipse UserFriend
Originally posted by: cdamus.ca.ibm.com

Hi, Warren,

Since it's the UML2 Tools that you're looking for, specifically, I'm
replying to that newsgroup, also.

Yes, Ganymede is based on Eclipse 3.4. However, the link that you found is
for downloads of the "Eclipse Packages" which are a variety of subsets of
Ganymede targeted to different user roles. There is talk of a Modeling
Package being provided, also, which would include the UML2 Tools, but as
you can see, it isn't yet available.

Once you have installed your package of choice, point add a Remote Update
Site in your Update Manager that links to here:

http://download.eclipse.org/releases/ganymede/staging/

That's where you should be able to find UML2 Tools and all of its
dependencies.

AFAIK, the UML2 Tools should be in the Ganymede update site as of M3 and,
very soon, in M4. Probably the folks in that newsgroup can be more
specific.

It's possible, also, that the UML diagrams have moved to a different,
UML-specific category in the New Wizard. That would make sense, as they
probably shouldn't be lumped into "Others."

Cheers,

Christian


Warren Tang wrote:

> Hi, James. I had gone through those links several times and had a basic
> view of these projects.
>
> Hi, Christian. Form your words I finally know all these projects are
> parts of Ganymede! It's the version 3.4 of Eclispe, isn't it? I
> downloaded the build 20080108-0440 of the shy Ganymede form the
> following link:
> http://www.eclipse.org/epp/download.php
>
> However I haven't found how to create a Class Diagram with it. I could
> not find the "UML 2.1 Diagrams" entry in the "New -> Others" menu as
> illustrated in the following link provided by Lars:
> http://www.vogella.de/articles/UML/article.html#eclipseuml
>
> Isn't the UML 2.1 Tools included in Ganymede? Or I have missed anything?
> I am new to eclipse and I love open source and free software. But
> now I really need some guide to myself started.
>
> I appreciate your enthusiasm and patience. Thanks for all of you!
>
> Regards
> Warren

-----8<-----
Re: How do I model with UML 2 in eclipse? [message #615655 is a reply to message #472180] Sat, 05 January 2008 06:46 Go to previous message
Warren Tang is currently offline Warren TangFriend
Messages: 32
Registered: July 2009
Member
Hi, Ed

Thanks for your reply. I am new to eclipse and I have trouble installing
the UML2 Tools into the eclipse IDE which I have just downloaded.

I used the [Help -> Software Updates -> Find and Replace] menu, and then
selected the [New Features -> MDT Updates -> UML2 Tools]. However there
are several dependences that I don't know where to find them.

Is there a step-by-step tutorial for installing it? I really don't know
how these eclipse project are related to each other.

Could you guide me? Thanks.

Regards,
Warren

Ed Merks wrote:
> Warren,
>
> The best I can do is direct you to the UML2 model and UML2 tools
> newsgroups and suggest you look at the home pages for these two
> components in the MDT project: http://www.eclipse.org/modeling/mdt/
>
>
> Warren Tang wrote:
>> Hi
>>
>> How do I model with UML 2 in eclipse?
>> What do I need to install?
>> What's the differences between UML 2 SDK and UML 2 Tools?
>> Are there any tutorials or videos?
>>
>> I am a little confusing and need your help. Thanks!
>>
Re: How do I model with UML 2 in eclipse? [message #615656 is a reply to message #472181] Sat, 05 January 2008 09:02 Go to previous message
Lars Vogel is currently offline Lars VogelFriend
Messages: 1049
Registered: July 2009
Senior Member

Hi Warren,

please look at this:

http://www.vogella.de/articles/UML/article.html

Best regards, Lars

"Warren Tang" <warren.s.tang@gmail.com> wrote in message
news:477F27AF.4010401@gmail.com...
> Hi, Ed
>
> Thanks for your reply. I am new to eclipse and I have trouble installing
> the UML2 Tools into the eclipse IDE which I have just downloaded.
>
> I used the [Help -> Software Updates -> Find and Replace] menu, and then
> selected the [New Features -> MDT Updates -> UML2 Tools]. However there
> are several dependences that I don't know where to find them.
>
> Is there a step-by-step tutorial for installing it? I really don't know
> how these eclipse project are related to each other.
>
> Could you guide me? Thanks.
>
> Regards,
> Warren
>
> Ed Merks wrote:
>> Warren,
>>
>> The best I can do is direct you to the UML2 model and UML2 tools
>> newsgroups and suggest you look at the home pages for these two
>> components in the MDT project: http://www.eclipse.org/modeling/mdt/
>>
>>
>> Warren Tang wrote:
>>> Hi
>>>
>>> How do I model with UML 2 in eclipse?
>>> What do I need to install?
>>> What's the differences between UML 2 SDK and UML 2 Tools?
>>> Are there any tutorials or videos?
>>>
>>> I am a little confusing and need your help. Thanks!
>>>
Re: How do I model with UML 2 in eclipse? [message #615658 is a reply to message #472182] Sat, 05 January 2008 16:45 Go to previous message
Warren Tang is currently offline Warren TangFriend
Messages: 32
Registered: July 2009
Member
Thanks Ed and Lars

I decide to give up the attempt after several hours' struggle. I have
selected all those update candidates and click everyone of them and then
clicked "Check Required". I have also tried to download the files myself
and then unzipped them to the eclipse folder. However I was not lucky.
It's just too HARD to install it.

Life would be much easier if the tools could find its dependences and
download them automatically for me, or I could download something and
click it once then everything would be ready. For now I will just use
the built-in support for UML 1.X in the netBeans IDE.

Thanks again for your attention.

Regards,
Warren

Lars Vogel wrote:
> Hi Warren,
>
> please look at this:
>
> http://www.vogella.de/articles/UML/article.html
>
> Best regards, Lars
>
> "Warren Tang" <warren.s.tang@gmail.com> wrote in message
> news:477F27AF.4010401@gmail.com...
>> Hi, Ed
>>
>> Thanks for your reply. I am new to eclipse and I have trouble installing
>> the UML2 Tools into the eclipse IDE which I have just downloaded.
>>
>> I used the [Help -> Software Updates -> Find and Replace] menu, and then
>> selected the [New Features -> MDT Updates -> UML2 Tools]. However there
>> are several dependences that I don't know where to find them.
>>
>> Is there a step-by-step tutorial for installing it? I really don't know
>> how these eclipse project are related to each other.
>>
>> Could you guide me? Thanks.
>>
>> Regards,
>> Warren
>>
>> Ed Merks wrote:
>>> Warren,
>>>
>>> The best I can do is direct you to the UML2 model and UML2 tools
>>> newsgroups and suggest you look at the home pages for these two
>>> components in the MDT project: http://www.eclipse.org/modeling/mdt/
>>>
>>>
>>> Warren Tang wrote:
>>>> Hi
>>>>
>>>> How do I model with UML 2 in eclipse?
>>>> What do I need to install?
>>>> What's the differences between UML 2 SDK and UML 2 Tools?
>>>> Are there any tutorials or videos?
>>>>
>>>> I am a little confusing and need your help. Thanks!
>>>>
>
>
Re: How do I model with UML 2 in eclipse? [message #615660 is a reply to message #472183] Sat, 05 January 2008 18:34 Go to previous message
Eclipse UserFriend
Originally posted by: cdamus.ca.ibm.com

Hi, Warren,

Before you give up: you can find all of the UML2 component's dependencies
(using "Check Required") in the Ganymede coordinate release update site:

http://download.eclipse.org/releases/ganymede/staging/

This is one-stop shopping for everything you need.

HTH,

Christian


Warren Tang wrote:

> Thanks Ed and Lars
>
> I decide to give up the attempt after several hours' struggle. I have
> selected all those update candidates and click everyone of them and then
> clicked "Check Required". I have also tried to download the files myself
> and then unzipped them to the eclipse folder. However I was not lucky.
> It's just too HARD to install it.
>
> Life would be much easier if the tools could find its dependences and
> download them automatically for me, or I could download something and
> click it once then everything would be ready. For now I will just use
> the built-in support for UML 1.X in the netBeans IDE.
>
> Thanks again for your attention.
>
> Regards,
> Warren
>
> Lars Vogel wrote:
>> Hi Warren,
>>
>> please look at this:
>>
>> http://www.vogella.de/articles/UML/article.html
>>
>> Best regards, Lars
>>
>> "Warren Tang" <warren.s.tang@gmail.com> wrote in message
>> news:477F27AF.4010401@gmail.com...
>>> Hi, Ed
>>>
>>> Thanks for your reply. I am new to eclipse and I have trouble installing
>>> the UML2 Tools into the eclipse IDE which I have just downloaded.
>>>
>>> I used the [Help -> Software Updates -> Find and Replace] menu, and then
>>> selected the [New Features -> MDT Updates -> UML2 Tools]. However there
>>> are several dependences that I don't know where to find them.
>>>
>>> Is there a step-by-step tutorial for installing it? I really don't know
>>> how these eclipse project are related to each other.
>>>
>>> Could you guide me? Thanks.
>>>
>>> Regards,
>>> Warren
>>>
>>> Ed Merks wrote:
>>>> Warren,
>>>>
>>>> The best I can do is direct you to the UML2 model and UML2 tools
>>>> newsgroups and suggest you look at the home pages for these two
>>>> components in the MDT project: http://www.eclipse.org/modeling/mdt/
>>>>
>>>>
>>>> Warren Tang wrote:
>>>>> Hi
>>>>>
>>>>> How do I model with UML 2 in eclipse?
>>>>> What do I need to install?
>>>>> What's the differences between UML 2 SDK and UML 2 Tools?
>>>>> Are there any tutorials or videos?
>>>>>
>>>>> I am a little confusing and need your help. Thanks!
>>>>>
>>
>>
Re: How do I model with UML 2 in eclipse? [message #615671 is a reply to message #472184] Tue, 08 January 2008 16:57 Go to previous message
Eclipse UserFriend
Originally posted by: cdamus.ca.ibm.com

Hi, Warren,

Since it's the UML2 Tools that you're looking for, specifically, I'm
replying to that newsgroup, also.

Yes, Ganymede is based on Eclipse 3.4. However, the link that you found is
for downloads of the "Eclipse Packages" which are a variety of subsets of
Ganymede targeted to different user roles. There is talk of a Modeling
Package being provided, also, which would include the UML2 Tools, but as
you can see, it isn't yet available.

Once you have installed your package of choice, point add a Remote Update
Site in your Update Manager that links to here:

http://download.eclipse.org/releases/ganymede/staging/

That's where you should be able to find UML2 Tools and all of its
dependencies.

AFAIK, the UML2 Tools should be in the Ganymede update site as of M3 and,
very soon, in M4. Probably the folks in that newsgroup can be more
specific.

It's possible, also, that the UML diagrams have moved to a different,
UML-specific category in the New Wizard. That would make sense, as they
probably shouldn't be lumped into "Others."

Cheers,

Christian


Warren Tang wrote:

> Hi, James. I had gone through those links several times and had a basic
> view of these projects.
>
> Hi, Christian. Form your words I finally know all these projects are
> parts of Ganymede! It's the version 3.4 of Eclispe, isn't it? I
> downloaded the build 20080108-0440 of the shy Ganymede form the
> following link:
> http://www.eclipse.org/epp/download.php
>
> However I haven't found how to create a Class Diagram with it. I could
> not find the "UML 2.1 Diagrams" entry in the "New -> Others" menu as
> illustrated in the following link provided by Lars:
> http://www.vogella.de/articles/UML/article.html#eclipseuml
>
> Isn't the UML 2.1 Tools included in Ganymede? Or I have missed anything?
> I am new to eclipse and I love open source and free software. But
> now I really need some guide to myself started.
>
> I appreciate your enthusiasm and patience. Thanks for all of you!
>
> Regards
> Warren

-----8<-----
Previous Topic:n-ary associations, association classes
Next Topic:[Announce] MDT UML2TOOLS 0.8.0 M4 is available
Goto Forum:
  


Current Time: Thu Dec 18 05:46:52 GMT 2014

Powered by FUDForum. Page generated in 0.02534 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software